<?xml version="1.0" encoding="UTF-8"?>
<root>
 
 <data  objname="会员" objunit="个">
  

  <!-- 主数据表的SQL语句  -->
  <sql>select * from memberinfo where len(mobile) in (10,11,12) and birthday like '%{BDAY}' </sql>
  
  <!-- 主数据表的字段描述  -->
  <fields table="memberinfo" key="memid" name="mname">

   <mobile dname="移动电话" width="70" footerkind="skCount" footerformat="总计(0)"/>
   <mname dname="会员姓名" width="60"/>

   <memid dname="卡号" />


   <jianma band="1"  dname="简码" width="40"/>
   
   <sex dname="性别" width="30"/>

   <birthday band="1" dname="出生日期" width="100"/>

   <birthdaytype band="1" dname="生日短信" width="55"/>
   
   <mcid band="1" dname="会员类型" width="55"
    edit="LookupComboBox" required="true" 
    source="SELECT mtypeid, mtypename FROM memtypeinfo"
    keyid="mtypeid" keyvalue="mtypename" />

   <mlid band="1" dname="会员级别" width="55"
    edit="LookupComboBox" required="true" 
    source="SELECT levelid, levelname FROM memlevel"
    keyid="levelid" keyvalue="levelname" />

   <state band="1" dname="状态" width="55"/>
   
   <indate band="1" dname="加入日期" width="88"/>
   
   <balance band="0" dname="余额" edit="CurrencyEdit" width="60" footerkind="skSum" footerformat="￥,0.00;￥-,0.00"/>
   
   <integral band="0" dname="积分" width="50"  footerkind="skSum"/>
   
   <cardtype band="1" dname="证件类型" width="60"/>
   
   <cardid band="1" dname="证件号码" width="60"/>
   
   <tel band="1" dname="电话" width="100"/>
   
   <mobile band="1" dname="移动电话" width="120"/>
   
   <profession band="1" dname="职业" width="100"/>

   <address band="1" dname="联系地址" width="200"/>
   
   <email band="1" dname="电子邮箱" width="100"/>
   
   <exprisedate band="1" dname="失效日期" width="100"/>

   <remark band="1" dname="备注信息" width="300"/>



  </fields>
  
 </data>
 
 
 
 <!-- 查询工具条 -->

 
 <!-- 主数据网格 -->
 <dbgrid title="" autowith="false" bandheaders="false">
  
  <!-- 主数据网格参数 editing:只否可编辑  -->
  <options editing="false"/>
  <band caption="" fixedkind="left" visible="true" moving="true" sizing="true"/>
  <band caption="" fixedkind="none" visible="true" moving="true" sizing="true"/>
  
 </dbgrid>
 
</root>
